<?php require_once('../../Connections/cn.php'); ?>
<?php
session_start();
$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
$id_alumno=$_GET['id_alumno'];
include_once('../../modelo/xtpl/xtemplate.class.php');

mysql_select_db($database_cn, $cn);
//para tomar el id del alumno
if ($id_alumno=="") {
	$sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos where cedula='$cedula_usuario'";
}
else {
    $sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos where id_alumno='$id_alumno'";
}

$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];

//datos que tomo de la pagina de materias inscritas
$id_periodo=$_GET['id_periodo'];
$codigo_sede=$_GET['codigo_sede'];
$id_carrera=$_GET['id_carrera'];
//fin

//sede
$sql1 = "SELECT * FROM sedes where codigo='$codigo_sede'";
$rs1 = mysql_query($sql1, $cn) or die(mysql_error());
$row1 = mysql_fetch_assoc($rs1);
//fin

//carreras
$sql2 = "SELECT * FROM carreras where id_carrera='$id_carrera'";
$rs2 = mysql_query($sql2, $cn) or die(mysql_error());
$row2 = mysql_fetch_assoc($rs2);
//fin

//periodo
$sql3 = "SELECT * FROM periodos where id_periodo='$id_periodo'";
$rs3 = mysql_query($sql3, $cn) or die(mysql_error());
$row3 = mysql_fetch_assoc($rs3);
//fin

if($cn!=0)
{
// Toma las materias inscritas del alumno.
	$sql4 = "SELECT inscripciones.id, inscripciones.id_materia, materias.nombre_materia, materias.uc, inscripciones.id_seccion, secciones.turno, docentes.apellidos, docentes.nombres, inscripciones.fecha FROM inscripciones, materias, docentes, secciones WHERE inscripciones.id_periodo='$id_periodo' and inscripciones.sede='$codigo_sede' and inscripciones.id_carrera='$id_carrera' and inscripciones.id_materia=materias.id_materia and inscripciones.id_docente=docentes.ID_docente and inscripciones.id_seccion=secciones.id_seccion and inscripciones.id_alumno='$id_alumno' ORDER BY materias.nombre_materia";
	$rs4 = mysql_query($sql4, $cn) or die(mysql_error());
	$total= mysql_num_rows($rs4);
	}
else{
	die("error de conexion");
}
mysql_close($cn);
$xtpl=new XTemplate('recibo_inscripcion.html'); //Colocar el nombre del template a utilizar.
$xtpl->assign('CEDULA',$row['cedula']);
$xtpl->assign('ALUMNO',$row['apellidos'].' '.$row['nombres']);
$xtpl->assign('SEDE',$row1['nombre_sede']);
$xtpl->assign('CODIGO_SEDE',$row1['codigo']);
$xtpl->assign('CARRERA',$row2['nombre_carrera']);
$xtpl->assign('ID_CARRERA',$row2['id_carrera']);
$xtpl->assign('PERIODO',$row3['descripcion']);
$xtpl->assign('ID_PERIODO',$row3['id_periodo']);

while ($row4=mysql_fetch_array($rs4)){
	$xtpl->assign('DATA1', $row4['id_materia']);
	$xtpl->assign('DATA2', $row4['nombre_materia']);
	$xtpl->assign('DATA3', $row4['uc']);
	$xtpl->assign('DATA4', $row4['id_seccion']);
	$xtpl->assign('DATA5', $row4['turno']);
	$xtpl->assign('DATA6', $row4['apellidos'].' '.$row4['nombres']);
	$xtpl->assign('DATA7', $row4['fecha_inscripcion']);
	$xtpl->parse('main.Contenido');
}
$xtpl->parse('main.inc');
$xtpl->parse('main');
$xtpl->out('main');

?>
